package com.caimei.module.base.entity.bo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/8/26
 */
@Data
public class Article implements Serializable {
    /**
     * 文章ID
     */
    private Integer id;
    /**
     * 文章标题
     */
    private String title;
    /**
     * 文章主图
     */
    private String image;
    /**
     * 文章作者
     */
    private String publisher;
    /**
     * 发布日期
     */
    private String publishDate;
    /**
     * 文章摘要
     */
    private String intro;
    /**
     * 文章内容
     */
    private String content;
    /**
     * 浏览量
     */
    private Integer pv;
    /**
     * 信息分类Id
     */
    private Integer typeId;
    /**
     * 信息分类文本
     */
    private String type;
    /**
     * 标签
     */
    private String label;
    /**
     * 标签 id数组
     */
    private Integer[] labelIds;
    /**
     * 标签 文本数组
     */
    private String[] labels;
    /**
     * 关键字
     */
    private String keyword;
    /**
     * 推荐语
     */
    private String recommendContent;
    /**
     * 来源
     */
    private String source;
    /**
     * 点赞数量
     */
    private Integer likes;

    private static final long serialVersionUID = 1L;

}
