package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;

/**
 * comment
 * @author
 */
@Data
public class Comment implements Serializable {
    private Integer commentID;

    /**
     * 订单商品ID
     */
    private Integer orderProductID;

    /**
     * 商品属性
     */
    private String propName;

    /**
     * 商品ID
     */
    private Integer productID;

    private Integer userID;

    /**
     * 评价时间串
     */
    private String postTime;

    /**
     * 服务评价分（最高5分）
     */
    private Double score1;

    /**
     * 商品评价分（最高5分）
     */
    private Double score2;

    private Double score3;

    private Double score4;

    private Double score5;

    /**
     * 评价内容
     */
    private String commentContent;

    /**
     * 最佳评价（好像此此段没啥用）
     */
    private String zhuiJiaFlag;

    private String image1;

    private String image2;

    private String image3;

    private String image4;

    private String image5;

    private String importFlag;

    private Integer isAnonymous;

    private String reply;

    private Integer shopID;

    /**
     * 评价状态: 1待审核、2审核通过
     */
    private String status;

    private static final long serialVersionUID = 1L;
}
